## Name

testmxlookup — Look up mail relays for a domain

## Synopsis

`testmxlookup` [`domain`...]

## DESCRIPTION

testmxlookup lists the names and IP addresses of mail relays that receive mail for the `domain`. This is useful in diagnosing mail delivery problems.

testmxlookup sends a DNS MX query for the specified domain, followed by A/AAAA queries, if needed. testmxlookup lists the hostname and the IP address of every mail relay, and its MX priority.

### DIAGNOSTICS

The error message "Hard error" indicates that the domain does not exist, or does not have any mail relays. The error message "Soft error" indicates a temporary error condition (usually a network failure of some sorts, or the local DNS server is down).

## SEE ALSO

courier(8), RFC 1035.